Package Details: yed 1:3.20-1

Git Clone URL: https://aur.archlinux.org/yed.git (read-only, click to copy)
Package Base: yed
Description: Very powerful graph editor written in java
Upstream URL: http://www.yworks.com/en/products_yed_about.html
Licenses: custom
Submitter: fatmike
Maintainer: Bevan
Last Packager: Bevan
Votes: 243
Popularity: 0.31
First Submitted: 2009-03-08 11:56
Last Updated: 2020-05-05 17:54

Latest Comments

1 2 3 4 5 6 ... Next › Last »

bobi commented on 2020-01-18 10:28

Done.

Bevan commented on 2020-01-17 17:51

@bobi: Looks good, thanks for the suggestion! If you want, you may create a pull request on https://github.com/michaellass/AUR. Otherwise I'll do the change within the next couple of days.

bobi commented on 2020-01-17 10:42

Hi, here’s a patch that makes use of all sizes for the icon, so that it scales beyond 32×32, plus installs a mime type for graphml files so that they aren’t treated anymore as any other xml file: http://dpaste.com/2DAS2TE

The additional graphml+xml-mime.xml source file is copy pasted from here: https://yed.yworks.com/support/qa/5927/associate-yed-application-with-graphml-files-on-linux

So, in the end, the icon scales smoothly no matter the desktop environment and opening a graphml file from a file manager is not a pain anymore.

josejorge commented on 2019-11-01 07:08

Link for downloading version 3.19.1 is failing, I think it should be updated to 3.19.1.1

fuhrmeistery commented on 2018-11-21 07:56

Installation failed due to failing validity check on the yed.zip updating pkgver to 3.18.2 and first sha256sum to 1dd325347127b749cf7f6d84c086b24cf8ff86e26c2ba986916efc9337a97463 worked for me

Mayzie commented on 2018-10-01 12:03

@Bevan: This was just running a standard system upgrade (pacman -Syu), which failed due to that error below. I uninstalled yEd as I don't really use it any more, which of course fixed it. Was just letting you know. :-)

Bevan commented on 2018-10-01 07:26

Mayzie: I haven't tested yet if yEd works with jdk 11. Right now I have my doubts because javafx seems not to be included anymore and I don't know if there is already a replacement for that here in AUR. So your options are to either stick with jdk 10 or use the javafx version from the official repos:

pacman -S jdk10

pacman -S java-openjfx

Mayzie commented on 2018-10-01 07:15

error: failed to prepare transaction (could not satisfy dependencies)

:: installing jdk (11-2) breaks dependency 'java-openjfx>=8' required by yed

:: installing jdk (11-2) breaks dependency 'java-openjfx<11' required by yed

Bevan commented on 2018-09-19 07:25

@StefanT: Putting myself into the upstream URL in my view would be horribly wrong. (1) For 99% of people it's way more important to find real upstream than my github repo. (2) I'm not the author of yed and won't ever claim that I am. (3) I do not want to be held accountable for any bugs within yed itself.

Btw: Do you have an example for other packages that do this? The wiki is pretty clear about this: https://wiki.archlinux.org/index.php/PKGBUILD#url

The URL of the github repo is right on the top of the PKGBUILD. So anyone who edits it will see it immediately: https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=yed#n9

I will look into the StartupWMClass issue later today.

StefanT commented on 2018-09-19 06:19

Bevan, it's probably me but I cannot find a link to the github project where you want to receive pull requests. Maybe you could put the github link into the upstream URL field on this page? At least this is what I have seen in other AUR packages.

Meanwhile: it looks like the desktop entry is part of your packaging. Please correct the startup WM class such that the correct icon is shown in e.g. Gnome3 when the application is running:

StartupWMClass=com-yworks-A-yEd